<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/GUI/Effects/MainMenuButtonEffect.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d29/_main_menu_button_effect_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">MainMenuButtonEffect.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d29/_main_menu_button_effect_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/dc2/class_main_menu_button_effect.html">MainMenuButtonEffect</a> : <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a236d92e94c50a2667bf7261037a9f33a">    3</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a236d92e94c50a2667bf7261037a9f33a">speed</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a7750dde483a07d6f7257ce8eb8c0a0cf">    4</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a7750dde483a07d6f7257ce8eb8c0a0cf">amount</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a4a96d4514c473f437c444cbf6c280dc3">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a4a96d4514c473f437c444cbf6c280dc3">m_textProportion</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a07ba982835a93a8a0055b9e3735555fd">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a07ba982835a93a8a0055b9e3735555fd">m_textProportion2</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">    7</a></span>    <span class="keyword">protected</span> ButtonWidget <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">m_root</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">    8</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">AnimatorTimer</a> <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">m_anim</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a60550bf8b9a42bcaeecc7f6d002270bb">   11</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc2/class_main_menu_button_effect.html#a60550bf8b9a42bcaeecc7f6d002270bb">MainMenuButtonEffect</a>()</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>() )</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">Insert</a>(this.<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af230615baea6307c6e837a0369acfd39">Update</a>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_anim = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">AnimatorTimer</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a79d95a6ac8f5d0ebcffd6f703e99e641">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc2/class_main_menu_button_effect.html#a79d95a6ac8f5d0ebcffd6f703e99e641">~MainMenuButtonEffect</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d8/dc8/_day_z_game_8c.html#a9b74a5ec02b2feede9913c77d3471b97">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>) )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">GetUpdateQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a>).<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">Remove</a>(this.<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af230615baea6307c6e837a0369acfd39">Update</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#ad15cc0ebe7553e527bcc9520ec76e79a">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc2/class_main_menu_button_effect.html#ad15cc0ebe7553e527bcc9520ec76e79a">OnWidgetScriptInit</a>(ButtonWidget w)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">m_root</a> = w;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">m_root</a>.SetHandler(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a309ec49d35a00a5233d2a6b7d8b05a17">   37</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dc2/class_main_menu_button_effect.html#a309ec49d35a00a5233d2a6b7d8b05a17">Update</a>(<span class="keywordtype">float</span> tDelta)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">m_anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a52badcb79a1c778a7160911297ca4e1e">Tick</a>(tDelta);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordtype">float</span> p = <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a7750dde483a07d6f7257ce8eb8c0a0cf">amount</a> * <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">m_anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a0b9dac0a787eabd47edab1233f0848ce">GetValue</a>();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="comment">//m_root.SetTextProportion( m_textProportion + (p * 0.5) );</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">m_root</a>.SetTextOffset( p * 4, 0 );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordtype">float</span> c = 1.0 - <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">m_anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a0b9dac0a787eabd47edab1233f0848ce">GetValue</a>();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">m_root</a>.SetTextColor(<a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>(1, 1, c, c));</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#acb69cd091ca6997a8ef6fd36b07cc06a">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dc2/class_main_menu_button_effect.html#acb69cd091ca6997a8ef6fd36b07cc06a">OnFocus</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="comment">//if ( !m_anim.IsRunning() ) m_textProportion = m_root.GetTextProportion();</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">m_anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#ab347dd47e87fee12c99524847902cbce">IsRunning</a>() )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">m_root</a>.GetPos( <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a4a96d4514c473f437c444cbf6c280dc3">m_textProportion</a>, <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a07ba982835a93a8a0055b9e3735555fd">m_textProportion2</a> );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">m_anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a4a93a16b37e6d026beefdaf64ada845e">Animate</a>(1.0, <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a236d92e94c50a2667bf7261037a9f33a">speed</a>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="comment">// -----------------------------------------------------------</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d8/dc2/class_main_menu_button_effect.html#a6ab5a22336b4a9ed2644f2de9752f242">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dc2/class_main_menu_button_effect.html#a6ab5a22336b4a9ed2644f2de9752f242">OnFocusLost</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">m_anim</a>.<a class="code hl_function" href="../../d9/dc3/group___tools.html#a4a93a16b37e6d026beefdaf64ada845e">Animate</a>(0.0, <a class="code hl_variable" href="../../d8/dc2/class_main_menu_button_effect.html#a236d92e94c50a2667bf7261037a9f33a">speed</a>);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>};</div>
<div class="ttc" id="a_day_z_game_8c_html_a9b74a5ec02b2feede9913c77d3471b97"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a9b74a5ec02b2feede9913c77d3471b97">GetUpdateQueue</a></div><div class="ttdeci">override ScriptInvoker GetUpdateQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00976">DayZGame.c:976</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="aclass_c_game_html_a9004d9575e5b4d37044604767b0a8797"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9004d9575e5b4d37044604767b0a8797">CGame::GetUpdateQueue</a></div><div class="ttdeci">ScriptInvoker GetUpdateQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01320">Game.c:1320</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html">MainMenuButtonEffect</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00001">MainMenuButtonEffect.c:2</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a07ba982835a93a8a0055b9e3735555fd"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a07ba982835a93a8a0055b9e3735555fd">MainMenuButtonEffect::m_textProportion2</a></div><div class="ttdeci">protected float m_textProportion2</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00006">MainMenuButtonEffect.c:6</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a236d92e94c50a2667bf7261037a9f33a"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a236d92e94c50a2667bf7261037a9f33a">MainMenuButtonEffect::speed</a></div><div class="ttdeci">reference float speed</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00003">MainMenuButtonEffect.c:3</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a309ec49d35a00a5233d2a6b7d8b05a17"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a309ec49d35a00a5233d2a6b7d8b05a17">MainMenuButtonEffect::Update</a></div><div class="ttdeci">protected void Update(float tDelta)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00037">MainMenuButtonEffect.c:37</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a403e383ac1d9fcc6b0a237be16d683b1"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a403e383ac1d9fcc6b0a237be16d683b1">MainMenuButtonEffect::m_root</a></div><div class="ttdeci">protected ButtonWidget m_root</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00007">MainMenuButtonEffect.c:7</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a4a96d4514c473f437c444cbf6c280dc3"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a4a96d4514c473f437c444cbf6c280dc3">MainMenuButtonEffect::m_textProportion</a></div><div class="ttdeci">protected float m_textProportion</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00005">MainMenuButtonEffect.c:5</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a60550bf8b9a42bcaeecc7f6d002270bb"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a60550bf8b9a42bcaeecc7f6d002270bb">MainMenuButtonEffect::MainMenuButtonEffect</a></div><div class="ttdeci">void MainMenuButtonEffect()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00011">MainMenuButtonEffect.c:11</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a6ab5a22336b4a9ed2644f2de9752f242"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a6ab5a22336b4a9ed2644f2de9752f242">MainMenuButtonEffect::OnFocusLost</a></div><div class="ttdeci">override bool OnFocusLost(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00062">MainMenuButtonEffect.c:62</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a7750dde483a07d6f7257ce8eb8c0a0cf"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a7750dde483a07d6f7257ce8eb8c0a0cf">MainMenuButtonEffect::amount</a></div><div class="ttdeci">reference float amount</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00004">MainMenuButtonEffect.c:4</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_a79d95a6ac8f5d0ebcffd6f703e99e641"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#a79d95a6ac8f5d0ebcffd6f703e99e641">MainMenuButtonEffect::~MainMenuButtonEffect</a></div><div class="ttdeci">void ~MainMenuButtonEffect()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00021">MainMenuButtonEffect.c:21</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_ab1309c9178f5bbf6a7f3f536fa8fc4de"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#ab1309c9178f5bbf6a7f3f536fa8fc4de">MainMenuButtonEffect::m_anim</a></div><div class="ttdeci">protected ref AnimatorTimer m_anim</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00008">MainMenuButtonEffect.c:8</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_acb69cd091ca6997a8ef6fd36b07cc06a"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#acb69cd091ca6997a8ef6fd36b07cc06a">MainMenuButtonEffect::OnFocus</a></div><div class="ttdeci">override bool OnFocus(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00049">MainMenuButtonEffect.c:49</a></div></div>
<div class="ttc" id="aclass_main_menu_button_effect_html_ad15cc0ebe7553e527bcc9520ec76e79a"><div class="ttname"><a href="../../d8/dc2/class_main_menu_button_effect.html#ad15cc0ebe7553e527bcc9520ec76e79a">MainMenuButtonEffect::OnWidgetScriptInit</a></div><div class="ttdeci">void OnWidgetScriptInit(ButtonWidget w)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d29/_main_menu_button_effect_8c_source.html#l00030">MainMenuButtonEffect.c:30</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a704b1e426e4369c79a8495f63cfe5eed"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a704b1e426e4369c79a8495f63cfe5eed">ScriptInvoker::Remove</a></div><div class="ttdeci">proto void Remove(func fn)</div><div class="ttdoc">remove specific call from list</div></div>
<div class="ttc" id="aclass_script_invoker_html_abeb2392b2e3dc0a34d0c5cafc96a288e"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#abeb2392b2e3dc0a34d0c5cafc96a288e">ScriptInvoker::Insert</a></div><div class="ttdeci">proto void Insert(func fn)</div><div class="ttdoc">insert method to list</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_a0b9dac0a787eabd47edab1233f0848ce"><div class="ttname"><a href="../../d9/dc3/group___tools.html#a0b9dac0a787eabd47edab1233f0848ce">AnimatorTimer::GetValue</a></div><div class="ttdeci">float GetValue()</div><div class="ttdoc">Returns actual animated value.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00772">tools.c:772</a></div></div>
<div class="ttc" id="agroup___tools_html_a4a93a16b37e6d026beefdaf64ada845e"><div class="ttname"><a href="../../d9/dc3/group___tools.html#a4a93a16b37e6d026beefdaf64ada845e">AnimatorTimer::Animate</a></div><div class="ttdeci">void Animate(float val, float speed=1.0)</div><div class="ttdoc">Starts animate value until value reaches target value.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00748">tools.c:748</a></div></div>
<div class="ttc" id="agroup___tools_html_a52badcb79a1c778a7160911297ca4e1e"><div class="ttname"><a href="../../d9/dc3/group___tools.html#a52badcb79a1c778a7160911297ca4e1e">AnimatorTimer::Tick</a></div><div class="ttdeci">void Tick(float timeslice)</div><div class="ttdoc">Ticks the timer, is called by timer subsystem.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00798">tools.c:798</a></div></div>
<div class="ttc" id="agroup___tools_html_ab347dd47e87fee12c99524847902cbce"><div class="ttname"><a href="../../d9/dc3/group___tools.html#ab347dd47e87fee12c99524847902cbce">AnimatorTimer::IsRunning</a></div><div class="ttdeci">bool IsRunning()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00791">tools.c:791</a></div></div>
<div class="ttc" id="agroup___tools_html_d7/d10/class_animator_timer"><div class="ttname"><a href="../../d9/dc3/group___tools.html#d7/d10/class_animator_timer">AnimatorTimer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00735">tools.c:736</a></div></div>
<div class="ttc" id="agroup___tools_html_gaae15173306f94a164b31a4baea73e5eb"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a></div><div class="ttdeci">const int CALL_CATEGORY_GUI</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00009">tools.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af230615baea6307c6e837a0369acfd39"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af230615baea6307c6e837a0369acfd39">ScriptedWidgetEventHandler::Update</a></div><div class="ttdeci">void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d0c/_action_targets_cursor_8c_source.html#l00304">ActionTargetsCursor.c:304</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="aproto_8c_html_a4aa1cc36d7e57ee79ba6713313ce7b1b"><div class="ttname"><a href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a></div><div class="ttdeci">int ARGBF(float fa, float fr, float fg, float fb)</div><div class="ttdoc">Converts &lt;0.0, 1.0&gt; ARGB into color.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00332">proto.c:332</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5eeb77025424db54adeee8e59c1563e2.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_2418e9d80a0516854dd5d3941838c411.html">Effects</a></li><li class="navelem"><a class="el" href="../../d4/d29/_main_menu_button_effect_8c.html">MainMenuButtonEffect.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
